<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Banners</title>
  <style>
  @import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@500&family=Roboto+Slab:wght@300&family=Yanone+Kaffeesatz:wght@300&display=swap');

    .image-to-show {
      width: 400px;
      height: 400px;
    }

    .images-wrapper {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
    }

    p {
    font-size: 18px;
    text-align: left;
    font-family: "Roboto Slab";
    }

    h2 {
    font-size: 24px;
    font-family: "Comfortaa";
    }
  </style>
</head>
<body>
  <div class="images-wrapper">
    <img src="./img/1.jpg" alt="image of game" class="image-to-show" />
    <img src="./img/2.jpg" alt="image of game" class="image-to-show" />
    <img src="./img/3.JPG" alt="image of game" class="image-to-show" />
    <img src="./img/4.png" alt="image of game" class="image-to-show" />
  </div>
  <br>
  <button id="stopButton">Припинити</button>
  <button id="resumeButton">Відновити показ</button>
  <br>
  <br>

  <h2>Опишіть своїми словами різницю між функціями setTimeout() і setInterval()</h2>
  <p>Функція setTimeout() викликається лише один раз через певний період(затримку) яку ми вказали, як таймер, а  setInterval() викликається численно з певним вказаним нами інтервалом часу.</p>

  <h2>Що станеться, якщо в функцію setTimeout() передати нульову затримку? Чи спрацює вона миттєво і чому?</h2>
  <p>Ні, вона спрацює не миттєво, а настільки швидко наскільки код зможе прочитати її</p>
  
  <h2>Чому важливо не забувати викликати функцію clearInterval(), коли раніше створений цикл запуску вам вже не потрібен?</h2>
  <p>Для того, щоб уникнути непередбачуваної поведінки і не витрачати пам'ять.</p>

  <script src="./script.js"></script>
</body>
</html>
